Bug 1342297 - [abrt] pciutils: printf(): lspci killed by SIGSEGV
Summary: [abrt] pciutils: printf(): lspci killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pciutils
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:40d4f3194f09cff24999480c85d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 22:41 UTC by Adam Hunt
Modified: 2016-11-18 11:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-18 11:16:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (96.19 KB, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: cgroup (230 bytes, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: core_backtrace (1.26 KB, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: dso_list (988 bytes, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: environ (4.94 KB, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: exploitable (82 bytes, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: maps (4.81 KB, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: mountinfo (4.67 KB, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: namespaces (85 bytes, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: open_fds (220 bytes, text/plain)
2016-06-02 22:41 UTC, Adam Hunt
no flags Details
File: proc_pid_status (1.18 KB, text/plain)
2016-06-02 22:42 UTC, Adam Hunt
no flags Details
File: var_log_messages (289 bytes, text/plain)
2016-06-02 22:42 UTC, Adam Hunt
no flags Details

Description Adam Hunt 2016-06-02 22:41:47 UTC
Version-Release number of selected component:
pciutils-3.3.1-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        lspci -v -s 00 02 0
crash_function: printf
executable:     /usr/sbin/lspci
global_pid:     17094
kernel:         4.5.5-201.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 printf at /usr/include/bits/stdio2.h:104
 #1 show_ext_caps at ls-ecaps.c:639

Comment 1 Adam Hunt 2016-06-02 22:41:51 UTC
Created attachment 1164271 [details]
File: backtrace

Comment 2 Adam Hunt 2016-06-02 22:41:51 UTC
Created attachment 1164272 [details]
File: cgroup

Comment 3 Adam Hunt 2016-06-02 22:41:52 UTC
Created attachment 1164273 [details]
File: core_backtrace

Comment 4 Adam Hunt 2016-06-02 22:41:53 UTC
Created attachment 1164274 [details]
File: dso_list

Comment 5 Adam Hunt 2016-06-02 22:41:54 UTC
Created attachment 1164275 [details]
File: environ

Comment 6 Adam Hunt 2016-06-02 22:41:54 UTC
Created attachment 1164276 [details]
File: exploitable

Comment 7 Adam Hunt 2016-06-02 22:41:55 UTC
Created attachment 1164277 [details]
File: limits

Comment 8 Adam Hunt 2016-06-02 22:41:56 UTC
Created attachment 1164278 [details]
File: maps

Comment 9 Adam Hunt 2016-06-02 22:41:57 UTC
Created attachment 1164279 [details]
File: mountinfo

Comment 10 Adam Hunt 2016-06-02 22:41:58 UTC
Created attachment 1164280 [details]
File: namespaces

Comment 11 Adam Hunt 2016-06-02 22:41:59 UTC
Created attachment 1164281 [details]
File: open_fds

Comment 12 Adam Hunt 2016-06-02 22:42:00 UTC
Created attachment 1164282 [details]
File: proc_pid_status

Comment 13 Adam Hunt 2016-06-02 22:42:00 UTC
Created attachment 1164283 [details]
File: var_log_messages

Comment 14 Michal Hlavinka 2016-08-16 08:22:40 UTC
Hi, I've updated pciutils to version 3.5.1, are you still able to reproduce this problem?

Comment 15 Adam Hunt 2016-11-17 06:28:58 UTC
I'll see about reproducing this tonight or tomorrow. 

Thanks for the update.

Comment 16 Adam Hunt 2016-11-18 11:16:08 UTC
I've been unable to reproduce this bug so I'm going to go ahead and close this report.


Note You need to log in before you can comment on or make changes to this bug.